com.sun.java.browser.dom

## Interface DOMAction

-     public interface DOMAction

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `run(DOMAccessor accessor)` When an object implementing interface DOMAction is passed to DOMService.invokeAndWait() or DOMService.invokeLater(), run method is called in the DOM access dispatch thread.

- - ### Method Detail

    - #### run

          Object run(DOMAccessor accessor)

      When an object implementing interface DOMAction is passed to DOMService.invokeAndWait() or DOMService.invokeLater(), run method is called in the DOM access dispatch thread. accessor is used for the DOMAction to access the entry point of the browser's DOM, if necessary.
      Parameters:
        `accessor` - DOMAccessor

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2019, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.